function [] = exe_Dynamics()
% exe_Dynamics.m
%
% Execute computation of kinematics and dynamics
%
% Revision history
% 250507 Drafted
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global x_ dth_ t_
global N_h_B N_bttry
global N_xo N_u_cmd N_u_user
global u_cmd user_message
global bttry_full hw_max_x hw_max_y hw_max_z

%%% user control logic
[u_user,user_message]	= Control(t_,x_(N_xo));

%%% check command range
u_cmd	= check_command(t_,x_(N_xo),u_user);

%%% time integration of kinematics and dynamcis
runge('Dynamics');

%% check battery storage range
x_(N_bttry)	= min(x_(N_bttry),bttry_full);

%% check momentum stored in the wheel
h_B			= x_(N_h_B);
h_B(1)		= min(h_B(1)*sign(h_B(1)),hw_max_x)*sign(h_B(1));
h_B(2)		= min(h_B(2)*sign(h_B(2)),hw_max_y)*sign(h_B(2));
h_B(3)		= min(h_B(3)*sign(h_B(3)),hw_max_z)*sign(h_B(3));
x_(N_h_B)	= h_B;

x_(N_u_cmd)		= u_cmd;
x_(N_u_user)	= u_user;
