function [] = exe_PlotGraphs()
% exe_PlotGraphs.m
%
% Plot graphs to help develop and test algorithms
%
% Revision history
% 250507 Drafted
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global dth_ smt_ nsave figure_pos
global N_q N_omg N_h_B N_bttry N_fuel N_pointing
global N_L_I N_Fsrp_B N_u_cmd N_u_user N_pwr
global s_I g_I r_B hw_max_y hw_max_z trq_max
global tank_full bttry_full 

fname	= 'user/result.csv';
if ( exist(fname,'file') ==0 ),
	return;
end

xs		= load(fname);
tL		= xs(:,1)';
xL		= xs(:,2:end)';
k		= length(tL)-1;

figure_pos_LL	= [figure_pos(1,1),figure_pos(1,2),round(figure_pos(1,3)/2),round(figure_pos(1,4)/2*0.85)];
figure_pos_UL	= [figure_pos(1,1),figure_pos(1,2)+round(figure_pos(1,4)/2*1.1),round(figure_pos(1,3)/2),round(figure_pos(1,4)/2*0.85)];
figure_pos_LR	= [figure_pos(1,1)+round(figure_pos(1,3)/2),figure_pos(1,2),round(figure_pos(1,3)/2),round(figure_pos(1,4)/2*0.85)];
figure_pos_UR	= [figure_pos(1,1)+round(figure_pos(1,3)/2),figure_pos(1,2)+round(figure_pos(1,4)/2*1.1),round(figure_pos(1,3)/2),round(figure_pos(1,4)/2*0.85)];
%%----------------------------------------
h	= figure(1);
set(h,'Name','Body Rate');
set(gcf,'Position', figure_pos_UL);
clf 
plot(tL,xL(N_omg(1),:)*180/pi,'b.-'); hold on
plot(tL,xL(N_omg(2),:)*180/pi,'g.-');
plot(tL,xL(N_omg(3),:)*180/pi,'r.-'); 
legend('omg_x','omg_y','omg_z','Location','NorthEast');
grid(); 
set(gca,'FontSize',12);
xlabel('time [s]');
ylabel('body rate [deg/s]');

%%----------------------------------------
h	= figure(2);
set(h,'Name','Wheel Momentum');
set(gcf,'Position', figure_pos_UR);
clf
plot(tL,xL(N_h_B(2),:),'g.-'); hold on
plot(tL,xL(N_h_B(3),:),'r.-');
legend('y','z','location','best');
grid();
set(gca,'FontSize',12);
xlabel('time [s]');
ylabel('wheel momentum [Nms]');

%%----------------------------------------
h	= figure(3);
set(h,'Name','Wheel Torque');
set(gcf,'Position', figure_pos_LR);
clf
plot(tL,xL(N_u_cmd(5),:),'g.-'); hold on
plot(tL,xL(N_u_cmd(6),:),'r.-');
legend('y','z','location','best');
grid();
set(gca,'FontSize',12);
xlabel('time [s]');
ylabel('wheel torque applied [Nm]');


%%----------------------------------------
h	= figure(4);
set(h,'Name','Pointing time & Fuel');
set(gcf,'Position', figure_pos_LL);
clf
plot(tL,xL(N_pointing,:)/smt_,'r.-');
hold on;
plot(tL,xL(N_fuel,:)/tank_full,'g.-');
grid();
set(gca,'FontSize',12);
legend('pointing time','remaining fuel','location','SouthEast');
xlabel('time [s]');
set(gca,'YTickLabel',{});
title(sprintf('Score is %6.3f s x %5.3f kg = %6.3f kgs',...
	xL(N_pointing,end),xL(N_fuel,end),xL(N_pointing,end)*xL(N_fuel,end)));

