function Euler = DCM2Euler_321(C321)
%% Input
%% C321:  a Direction Cosine Matrix(DCM) such that
%%     C321 = C1*C2*C3
%%     where C1 = [[1,0,0];[0, cphi, sphi];[0,-sphi, cphi]]
%% Output
%% Euler=[phi, theta, psi]': 3-2-1 Euler angles [rad]

sphi_cthe	= C321(2,3);
cphi_cthe	= C321(3,3);
%% suppose theta \in (-pi/2,+pi/2) or cthe>0
cthe		= sqrt(sphi_cthe*sphi_cthe+cphi_cthe*cphi_cthe);
sthe		= -C321(1,3);
theta		= atan2(sthe,cthe);

cthe_cpsi	= C321(1,1);
cthe_spsi	= C321(1,2);
psi			= atan2(cthe_spsi,cthe_cpsi);

phi			= atan2(sphi_cthe,cphi_cthe);

Euler		= [phi;theta;psi];
