function C321 = DCM321(phi,theta,psi)
%% Input
%% phi, theta, psi: 3-2-1 Euler angles [rad]
%% Output
%% C321:  a Direction Cosine Matrix(DCM) such that
%%     C321 = C1*C2*C3
%%     where C1 = [[1,0,0];[0, cphi, sphi];[0,-sphi, cphi]]

%% 3-2-1 Euler angles
cphi	= cos(phi);
sphi	= sin(phi);
C1		= [[1,0,0];[0, cphi, sphi];[0,-sphi, cphi]];

cthe	= cos(theta);
sthe	= sin(theta);
C2		= [[ cthe,0,-sthe];[0,1,0];[ sthe,0, cthe]];

cpsi	= cos(psi);
spsi	= sin(psi);
C3		= [[ cpsi, spsi,0];[-spsi, cpsi,0];[0,0,1]];

C321	= C1*C2*C3;
