function omg = Euler2omg_321(phi,theta,psi,dphi,dtheta,dpsi)
%% Input
%% phi, theta, psi: 3-2-1 Euler angles [rad]
%% dphi, dtheta, dpsi: derivaive of Euler angles [rad/s]
%% Output
%% omg: angular velocity [rad/s]

cphi	= cos(phi);
sphi	= sin(phi);
cthe	= cos(theta);
sthe	= sin(theta);

matE	= [[1,0,-sthe];[0, cphi, sphi*cthe];[0,-sphi, cphi*cthe]];
omg		= matE*[dphi;dtheta;dpsi];

endfunction

function dEuler = omg2Euler_321(phi,theta,psi,omg)
%% Input
%% phi, theta, psi: 3-2-1 Euler angles [rad]
%% omg: angular velocity [rad/s]
%% Output
%% dEuler = [dphi, dtheta, dpsi]' : derivaive of Euler angles [rad/s]

cphi	= cos(phi);
sphi	= sin(phi);
cthe	= cos(theta);
sthe	= sin(theta);

matE	= [[1,0,-sthe];[0, cphi, sphi*cthe];[0,-sphi, cphi*cthe]];
dEuler	= matE'*omg/cthe;
