function C = q2DCM(q)
%% Input
%% q: quaternion (4x1 vector)
%% Output
%% C: a direction cosine matrix (DCM) (3x3)
%%

C		= eye(3,3);
q1		= q(1);
q2		= q(2);
q3		= q(3);
q4		= q(4);
qv		= q(1:3);

C		= (q4*q4-qv'*qv)*eye(3,3) - 2*q4*tildeM(qv) + 2*qv*qv';

C(1,1)	=  q1*q1-q2*q2-q3*q3+q4*q4;
C(1,2)	= 2*(q1*q2+q3*q4);
C(1,3)	= 2*(q1*q3-q2*q4);
C(2,1)	= 2*(q2*q1-q3*q4);
C(2,2)	= -q1*q1+q2*q2-q3*q3+q4*q4;
C(2,3)	= 2*(q2*q3+q1*q4);
C(3,1)	= 2*(q3*q1+q2*q4);
C(3,2)	= 2*(q3*q2-q1*q4);
C(3,3)	= -q1*q1-q2*q2+q3*q3+q4*q4;
